Delete Alert Webhook

Delete an existent Alert Webhook configured for the requester user customer ID

Authentication

  • Include your Access-Token in the header of your requests.

  • Include your x-api-key The API key provided by GenLogs. This header must be included in the request.

Permissions

The external-api-delete-alert-webhook-endpoint permission is required to access this endpoint.

Endpoint

  • URL: https://api.genlogs.io/alerts/webhook/{webhook_id}

  • Method: DELETE

Headers

  • Access-Token: (string, required): Access token obtained from the "Create Access Token" endpoint.

  • X-Api-Key (string, required): The API key provided by GenLogs.

Path Params

  • webhook_id (string, UUID format, required): Existent webhook ID, to be deleted.

Request Example:

Response:

  • 200 OK: A JSON object containing the information of the deleted alert webhook.

  • 400 Bad Request: If webhook id is malformed or missing.

  • 401 Unauthorized: If the authentication credentials (Access-Token) is missing or incorrect.

  • 403 Forbidden: If the permission has not been added to your user.

  • 404 Not Found: If the provided webhook_id doesn't exist or not belongs to the customer.

  • 500 Internal Server Error: If there is an issue on the server that prevents processing the request.

Response Body:

200 OK – Webhook Deleted Successfully

400 Bad Request

Returned when:

  • The provided webhook id is malformed or missing

401 Unauthorized

  • When access-token is missing or expired

403 Forbidden

404 Not Found

  • When the webhook is is not found or does not belong to customer

Delete alert webhook

delete

Delete an alert webhook by ID. Requires ownership for the authenticated customer. Returns the deleted webhook data (id, webhook_url, description, created_at). Requires admin or external-api-delete-alert-webhook-endpoint.

Path parameters
webhook_idstring · uuidRequired

UUID of the webhook to delete

Header parameters
Access-TokenstringRequired

JWT access token for authentication

X-API-KeystringRequired

API key for authentication

Responses
chevron-right
200

Webhook deleted successfully; returns deleted webhook data

application/json

Deleted webhook data returned on successful DELETE (secret and enabled excluded)

idstring · uuidRequired
webhook_urlstring · uriRequired
descriptionstring · nullableOptional
created_atstring · date-timeRequired
deletedbooleanRequired

Always true for delete response

delete
/alerts/webhook/{webhook_id}

Last updated